USN-6438-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6438-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6438-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6438-1
Related
Published
2023-10-19T16:12:40.635566Z
Modified
2023-10-19T16:12:40.635566Z
Summary
dotnet6, dotnet7 vulnerabilities
Details

Kevin Jones discovered that .NET did not properly process certain X.509 certificates. An attacker could possibly use this issue to cause a denial of service. (CVE-2023-36799)

It was discovered that the .NET Kestrel web server did not properly handle HTTP/2 requests. A remote attacker could possibly use this issue to cause a denial of service. (CVE-2023-44487)

References

Affected packages

Ubuntu:23.10 / dotnet6

Package

Name
dotnet6

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6.0.123-0ubuntu1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "dotnet-host": "6.0.123-0ubuntu1",
            "dotnet-templates-6.0": "6.0.123-0ubuntu1",
            "dotnet-hostfxr-6.0": "6.0.123-0ubuntu1",
            "dotnet-apphost-pack-6.0": "6.0.123-0ubuntu1",
            "dotnet-sdk-6.0": "6.0.123-0ubuntu1",
            "dotnet-sdk-6.0-source-built-artifacts": "6.0.123-0ubuntu1",
            "aspnetcore-runtime-6.0": "6.0.123-0ubuntu1",
            "netstandard-targeting-pack-2.1": "6.0.123-0ubuntu1",
            "dotnet6": "6.0.123-0ubuntu1",
            "aspnetcore-targeting-pack-6.0": "6.0.123-0ubuntu1",
            "dotnet-runtime-6.0": "6.0.123-0ubuntu1",
            "dotnet-targeting-pack-6.0": "6.0.123-0ubuntu1"
        }
    ]
}

Ubuntu:23.10 / dotnet7

Package

Name
dotnet7

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7.0.112-0ubuntu1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "netstandard-targeting-pack-2.1-7.0": "7.0.112-0ubuntu1",
            "dotnet-sdk-7.0": "7.0.112-0ubuntu1",
            "aspnetcore-runtime-7.0": "7.0.112-0ubuntu1",
            "dotnet7": "7.0.112-0ubuntu1",
            "aspnetcore-targeting-pack-7.0": "7.0.112-0ubuntu1",
            "dotnet-apphost-pack-7.0": "7.0.112-0ubuntu1",
            "dotnet-runtime-7.0": "7.0.112-0ubuntu1",
            "dotnet-hostfxr-7.0": "7.0.112-0ubuntu1",
            "dotnet-host-7.0": "7.0.112-0ubuntu1",
            "dotnet-sdk-7.0-source-built-artifacts": "7.0.112-0ubuntu1",
            "dotnet-targeting-pack-7.0": "7.0.112-0ubuntu1",
            "dotnet-templates-7.0": "7.0.112-0ubuntu1"
        }
    ]
}